package com.yihu.jw.entity.followup;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

/**
 * 随访面访详情
 * @author hzp add 2016-12-07
 *
 */
@Entity
@Table(name = "wlyy_followup_content")
@SequenceGenerator(name="id_generated", sequenceName="seq_wlyy_followup_drugs")
public class FollowupContent extends IntegerIdentityEntity {

	//随访ID
	private Long followupId;
	//随访项目【字典FOLLOWUP_PROJECT】
	private String followupProject;
	//随访项目问题
	private String followupKey;
	//随访项目回答
	private String followupValue;
	//创建时间
	private Date createTime;

	public Long getFollowupId() {
		return followupId;
	}

	public void setFollowupId(Long followupId) {
		this.followupId = followupId;
	}

	public String getFollowupProject() {
		return followupProject;
	}

	public void setFollowupProject(String followupProject) {
		this.followupProject = followupProject;
	}

	public String getFollowupKey() {
		return followupKey;
	}

	public void setFollowupKey(String followupKey) {
		this.followupKey = followupKey;
	}

	public String getFollowupValue() {
		return followupValue;
	}

	public void setFollowupValue(String followupValue) {
		this.followupValue = followupValue;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

}
